#!/usr/bin/ruby

module EtMain
    module Internal
        def self.init_all_classes
            getClassList.each do |c|
                classname = Qt::Internal::normalize_classname(c)
                id = Qt::Internal::findClass(c);
                Qt::Internal::insert_pclassid(classname, id)
                Qt::Internal::cpp_names[classname] = c
                klass = Qt::Internal::isQObject(c) ? Qt::Internal::create_qobject_class(classname, Qt) \
                                                    : Qt::Internal::create_qt_class(classname, Qt)
                Qt::Internal::classes[classname] = klass unless klass.nil?
            end
        end
    end
end


#126EF41FC08DD4661B62B4940BD5611735C6F5F74D3C9331678B10467677D194288A5B58F5F5D34C280457F8ECA71B6C2645D1525D2EE6D829AFAFEA8A89058E